---
title: My First Post
---

- This post has some content. I changed it.
- I've just added a second bullet!

## Some Python Code

```python
def md_to_html(
    content: str,
    resolve_links: bool = False,
    source: Path | None = None,
    layout: Layout | None = None,
    item_map: dict[Path, Item] | None = None,
) -> str:
    if resolve_links and (source is None or layout is None or item_map is None):
        raise TypeError(
            "md_to_html() missing source and ctx when resolve_links is true"
        )
    parser = Parser()
    ast = parser.parse(content)
    renderer = ZonaRenderer(
        resolve_links, source, layout=layout, item_map=item_map
    )
    return renderer.render(ast)
```

## Kakoune Script?!

```kak
declare-option -hidden bool on_server %sh{
    if [ -z "$KAK_ON_SERVER" ]; then
        printf 'false'
    else
        printf 'true'
    fi
}

define-command -override true nop
define-command -override false fail
```
